%global modulename esprima

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-esprima
Version:        4.0.1
Release:        1%{?dist}
Summary:        ECMAScript parsing infrastructure for multipurpose analysis

License:        BSD
URL:            http://esprima.org
Source0:        https://registry.npmjs.org/esprima/-/esprima-4.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
ECMAScript parsing infrastructure for multipurpose analysis

%package 4.0.1
Summary:        ECMAScript parsing infrastructure for multipurpose analysis


%description 4.0.1
ECMAScript parsing infrastructure for multipurpose analysis

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ChangeLog %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/esparse.js %{buildroot}/%{_bindir}/esparse
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/esvalidate.js %{buildroot}/%{_bindir}/esvalidate


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE.BSD
%{_bindir}/esparse
%{_bindir}/esvalidate
%{nodejs_dir}/%{modulename}

%files 4.0.1
%doc README.md
%license LICENSE.BSD
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 4.0.1-1
- Package automatically generated by npm2srpm
